> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Set product entitlement

> Set an entitlement value for a product.



## OpenAPI

````yaml put /v1/products/{id}/entitlements/{feature_code}
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/products/{id}/entitlements/{feature_code}:
    put:
      tags:
        - Products > Entitlements
      summary: Set product entitlement
      description: Set an entitlement value for a product.
      operationId: setProductEntitlement
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
        - schema:
            type: string
          required: true
          name: feature_code
          in: path
      requestBody:
        description: Product entitlement payload.
        content:
          application/json:
            schema:
              type: object
              properties:
                value:
                  anyOf:
                    - type: boolean
                    - type: number
                  description: Entitlement value.
              required:
                - value
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductEntitlement'
      security:
        - bearer: []
components:
  schemas:
    ProductEntitlement:
      type: object
      properties:
        feature_code:
          type: string
          description: Feature code.
          example: sso
        value:
          anyOf:
            - type: boolean
            - type: number
          description: Entitlement value.
        created_at:
          type: string
          format: date-time
          description: Creation date.
          example: '2024-12-20T16:04:11Z'
        updated_at:
          type: string
          format: date-time
          description: Last update date.
          example: '2024-12-20T16:04:11Z'
      required:
        - feature_code
        - value
        - created_at
        - updated_at
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````